Package de.willuhn.jameica.hbci.gui.input

# Class DateToInput

java.lang.Object
de.willuhn.jameica.gui.input.DateInput
de.willuhn.jameica.hbci.gui.input.AbstractDateInput
de.willuhn.jameica.hbci.gui.input.DateToInput

All Implemented Interfaces:
  `de.willuhn.jameica.gui.input.Input`, `de.willuhn.jameica.gui.Part`

public class DateToInput extends AbstractDateInput
Vorkonfigueriertes Eingabefeld fuer ein End-Datum.

## Field Summary

### Fields inherited from interface de.willuhn.jameica.gui.input.Input

`DATAKEY_TOOLTIP`

## Constructor Summary

Constructors
Constructor
Description
`DateToInput()`
ct.
`DateToInput(Date date)`
ct.
`DateToInput(Date date, String parameter)`
ct.

## Method Summary

### Methods inherited from class de.willuhn.jameica.hbci.gui.input.AbstractDateInput

`setValue`

### Methods inherited from class de.willuhn.jameica.gui.input.DateInput

`addListener, disable, disableClientControl, enable, enableClientControl, focus, getControl, getData, getName, getValue, hasChanged, isEnabled, isMandatory, paint, paint, setComment, setData, setEnabled, setMandatory, setName, setText, setTitle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DateToInput

public DateToInput()
ct.

### DateToInput

public DateToInput(Date date)
ct.

Parameters:
  `date` -

### DateToInput

public DateToInput(Date date, String parameter)
ct.

Parameters:
  `date` -
  `parameter` - Schluessel-Name, unter dem die Eingabe in der Session gecached werden soll.